> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v2.67.0 - Expanded TSP Provider Support for Integrations API

> 52 new source_name enum values added across all Integrations API endpoints

**Released 14th September 2026**

## Expanded TSP provider support for Integrations API

This release adds 52 new valid values for the `source_name` field across all Integrations API endpoints, covering a wide range of ELD and telematics providers including OEM vehicle brands. The change is additive and backward-compatible.

<Check>
  **Backward-compatible addition:** All new `source_name` enum values are purely additive. No existing integrations are affected.
</Check>

### New TSP source names

The following `source_name` values are now valid across all Integrations API endpoints:

| New `source_name` value | Provider |
| - | - |
| `2bro_eld` | 2Bro ELD |
| `amcs_group` | AMCS Group |
| `bellfam` | Bellfam |
| `blackbear_eld` | BlackBear ELD |
| `bmw` | BMW |
| `bolt_eld` | Bolt ELD |
| `bright_tech_eld` | Bright Tech ELD |
| `coretex` | Coretex |
| `dlog_eld` | DLog ELD |
| `dream_eld` | Dream ELD |
| `dronemobile` | DroneMobile |
| `eld_hub` | ELD Hub |
| `eld_road` | ELD Road |
| `eldtrex_driver` | ELDTrex Driver |
| `etm_solution` | ETM Solution |
| `ez_eld` | EZ ELD |
| `ez_fleet` | EZ Fleet |
| `fleet_locate` | Fleet Locate |
| `flex_eld` | Flex ELD |
| `force_fleet_tracking` | Force Fleet Tracking |
| `gm` | GM |
| `gorilla_fleet_safety` | Gorilla Fleet Safety |
| `hos_eld` | HOS ELD |
| `hyundai` | Hyundai |
| `intelelogs` | InteleLogs |
| `keepon_eld` | KeepOn ELD |
| `mercedes` | Mercedes |
| `momentum` | Momentum |
| `neo_eld` | Neo ELD |
| `onroad_eld` | OnRoad ELD |
| `orion_eld` | Orion ELD |
| `oson_elogs` | Oson eLogs |
| `penske_eld` | Penske ELD |
| `prime_duty_solutions` | Prime Duty Solutions |
| `rand_eld` | Rand ELD |
| `razor_tracking` | Razor Tracking |
| `rivian` | Rivian |
| `sba_eld` | SBA ELD |
| `stellantis` | Stellantis |
| `sv_eld` | SV ELD |
| `teddy_eld` | Teddy ELD |
| `tesla` | Tesla |
| `toyota` | Toyota |
| `trackhawk_gps` | Trackhawk GPS |
| `track_your_truck` | Track Your Truck |
| `trucking_kit` | Trucking Kit |
| `tx_eld` | TX ELD |
| `volvo` | Volvo |
| `vrh_eld` | VRH ELD |
| `vw` | Volkswagen |
| `wireless_links` | Wireless Links |
| `zippy_eld` | Zippy ELD |

### Affected endpoints

<AccordionGroup>
  <Accordion title="GET /v2/integrations/connections" icon="list">
    The `source_name` field in each item of the response may now return any of the 52 new values.

    ```bash theme={null}
    GET /v2/integrations/connections
    ```
  </Accordion>

  <Accordion title="POST /v2/integrations/connections" icon="plus">
    The `source_name` field in the 200 response now includes all 52 new values.

    ```bash theme={null}
    POST /v2/integrations/connections
    Content-Type: application/json

    {
      "source_name": "tesla",
      ...
    }
    ```
  </Accordion>

  <Accordion title="GET /v2/integrations/connections/{connection_id}" icon="magnifying-glass">
    The `source_name` field in the response may now return any of the 52 new values.
  </Accordion>

  <Accordion title="PATCH /v2/integrations/connections/{connection_id}" icon="pen">
    The `source_name` field in the 200 response now includes all 52 new values.
  </Accordion>

  <Accordion title="GET /v2/integrations/connections/resource-operations" icon="list">
    The `source_name` query parameter now accepts all 52 new values for filtering. The `source_name` field in each item of the response may now return any of the 52 new values.

    ```bash theme={null}
    # Filter resource operations by a new provider
    GET /v2/integrations/connections/resource-operations?source_name=rivian
    ```
  </Accordion>

  <Accordion title="GET /v2/integrations/connections/{connection_id}/resource-operations/{resource_operation_id}" icon="magnifying-glass">
    The `source_name` field in the response may now return any of the 52 new values.
  </Accordion>

  <Accordion title="GET /v2/integrations/connections/{connection_id}/schedules/{schedule_id}/executions" icon="list">
    The `source_name` field in each item of the response may now return any of the 52 new values.
  </Accordion>

  <Accordion title="GET /v2/integrations/tsps" icon="list">
    The `source_name` field in each item of the response may now return any of the 52 new values.
  </Accordion>

  <Accordion title="GET /v2/integrations/tsps/{tsp_id}" icon="magnifying-glass">
    The `source_name` field in the response may now return any of the 52 new values.
  </Accordion>
</AccordionGroup>

***

## Need help?

<CardGroup cols={2}>
  <Card title="API reference" icon="book" href="/api-reference/integrations-api">
    View complete endpoint documentation for the Integrations API
  </Card>

  <Card title="Contact support" icon="life-ring" href="mailto:support@catenaclearing.io">
    Questions about your integration? Our team is here to help
  </Card>
</CardGroup>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.